org.vertx.java.core.http.impl

## Class DefaultHttpClientResponse

- java.lang.Object
- - org.vertx.java.core.http.impl.HttpReadStreamBase
  - - org.vertx.java.core.http.HttpClientResponse
    - - org.vertx.java.core.http.impl.DefaultHttpClientResponse

All Implemented Interfaces:
  ReadStream

    public class DefaultHttpClientResponse
    extends HttpClientResponse

### Field Summary

### Fields inherited from class org.vertx.java.core.http.HttpClientResponse

`statusCode, statusMessage`

### Method Summary

Methods
`void` `dataHandler(Handler<Buffer> dataHandler)` Set a data handler.
`void` `endHandler(Handler<java.lang.Void> endHandler)` Set an end handler.
`void` `exceptionHandler(Handler<java.lang.Exception> exceptionHandler)` Set an exception handler.
`java.util.Map<java.lang.String,java.lang.String>` `headers()`
`void` `pause()` Pause the `ReadStream`.
`void` `resume()` Resume reading.
`java.util.Map<java.lang.String,java.lang.String>` `trailers()`

### Methods inherited from class org.vertx.java.core.http.impl.HttpReadStreamBase

`bodyHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### headers

    public java.util.Map<java.lang.String,java.lang.String> headers()

Specified by:
  `headers` in class `HttpClientResponse`
Returns:
  The HTTP headers

#### trailers

    public java.util.Map<java.lang.String,java.lang.String> trailers()

Specified by:
  `trailers` in class `HttpClientResponse`
Returns:
  The HTTP trailers

#### dataHandler

    public void dataHandler(Handler<Buffer> dataHandler)

Description copied from interface: `ReadStream`
Set a data handler. As data is read, the handler will be called with the data.

#### endHandler

    public void endHandler(Handler<java.lang.Void> endHandler)

Description copied from interface: `ReadStream`
Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.

#### exceptionHandler

    public void exceptionHandler(Handler<java.lang.Exception> exceptionHandler)

Description copied from interface: `ReadStream`
Set an exception handler.

#### pause

    public void pause()

Description copied from interface: `ReadStream`
Pause the `ReadStream`. While the stream is paused, no data will be sent to the `dataHandler`

#### resume

    public void resume()

Description copied from interface: `ReadStream`
Resume reading. If the `ReadStream` has been paused, reading will recommence on it.